Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
errore server tomcat
#1
salve
ho problemi con il server di tomcat. Come posso risolverlo?
l'errore quando vado a startare il server è:
Several ports (8005, 8080) required by Tomcat v6.0 Server at localhost are already in use. The server may already be running in another process, or a system process may be using the port. To start this server you will need to stop the other process or change the port number(s).

Probabilmente ci sarà qualche altro programma che usa queste porte, come devo fare a verificarlo e a stoppare tali programmi? se è questo il problema?
grazie!

non so se sono legati come errore... ho rifatto il server ed ora il server di tomcat quando lo starto non mi da più lo stesso errore ma: Server Tomcat v6.0 Server at localhost failed to start. dove l'errore dovrebbe essere:
19-dic-2011 22.32.47 org.apache.tomcat.util.modeler.Registry registerComponent
GRAVE: Null component Catalina:type=JspMonitor,name=jsp,WebModule=//localhost/openbravo,J2EEApplication=none,J2EEServer=none
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:616)
at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)
Caused by: java.lang.UnsupportedClassVersionError: org/openbravo/base/ConnectionProviderContextListener : Unsupported major.minor version 51.0 (unable to load class org.openbravo.base.ConnectionProviderContextListener)

non so chi mi può aiutare!
grazie!
Cita messaggio
#2
Non conosco molto bene tomcat, ma da quello che vedo c'è una delle classi openbravo che non è supportata dal server.
E' un pacchetto d'installazione oppure un mix di componenti scaricato alla bisogna?
Ogni fallimento avvicina sempre più alla meta... Arrendersi subito equivale a non provare affatto.

Il bisogno di conoscere e scoprire, è la fiamma che alimenta la fornace che è il cervello umano.
Cita messaggio
#3
non ho capito, quello che vuoi dire! come pensi mi debba muovere?
Cita messaggio
#4
Come hai installato tomcat?
Ogni fallimento avvicina sempre più alla meta... Arrendersi subito equivale a non provare affatto.

Il bisogno di conoscere e scoprire, è la fiamma che alimenta la fornace che è il cervello umano.
Cita messaggio
#5
ho scaricato il pacchetto apache-tomcat-6.0.35.tar.gz e l'ho scompattato in user/local/server

(cosa intendevi con delle classi openbravo che non è supportata dal server?)
Cita messaggio
#6
Era meglio installarlo direttamente dai repository, disinstallalo e installa quello. Vediamo se hai ancora problemi.
Ogni fallimento avvicina sempre più alla meta... Arrendersi subito equivale a non provare affatto.

Il bisogno di conoscere e scoprire, è la fiamma che alimenta la fornace che è il cervello umano.
Cita messaggio
#7
dici da ubuntu software center?
Cita messaggio
#8
non sono molto ferrato su queste cose! poi per disinstallarlo basta eliminarlo?cmq un mio amico ha detto che ha fatto così e gli è andata bene! bo?
Cita messaggio
#9
Si, da Ubuntu Software Center.
Per installare quel pacchetto che procedura hai usato?
Ogni fallimento avvicina sempre più alla meta... Arrendersi subito equivale a non provare affatto.

Il bisogno di conoscere e scoprire, è la fiamma che alimenta la fornace che è il cervello umano.
Cita messaggio
#10
pensavo di averti risposto!!! l'avrò cancellato! ho semplicemente scompattato il pacchetto nella cartella /usr/local/server/ e modificato il nome della cartella con tomcat
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)